Security Enhanced Linux Reference Policy

# Layer: services

## Module: dbus

Interfaces Templates

### Description:

Desktop messaging bus

### Interfaces:

dbus_connect_session_bus( domain )

##### Summary

Connect to the the session DBUS for service (acquire_svc).

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dbus_connect_system_bus( domain )

##### Summary

Connect to the system DBUS for service (acquire_svc).

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dbus_dontaudit_system_bus_rw_tcp_sockets( domain )

##### Summary

Dontaudit Read, and write system dbus TCP sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dbus_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit file descriptors from system dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dbus_read_config( domain )

##### Summary

Read dbus configuration.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dbus_send_session_bus( domain )

##### Summary

Send a message the session DBUS.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dbus_send_system_bus( domain )

##### Summary

Send a message on the system DBUS.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dbus_session_bus_client( domain )

##### Summary

Template for creating connections to a user DBUS.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the domain.

dbus_stub( domain )

##### Summary

DBUS stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

dbus_system_bus_client( domain )

##### Summary

Template for creating connections to the system DBUS.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the domain.

dbus_system_bus_unconfined( domain )

##### Summary

Allow unconfined access to the system DBUS.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dbus_system_domain( domain , entry_point )

##### Summary

Create a domain for processes which can be started by the system dbus

##### Parameters

Parameter: | Description:
--- | ---
domain | Type to be used as a domain.
entry_point | Type of the program to be used as an entry point to this domain.

dbus_unconfined( domain )

##### Summary

Allow unconfined access to the system DBUS.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

dbus_role_template( role_prefix , role , domain )

##### Summary

Role access for dbus

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
role | Role allowed access
domain | User domain for the role

Return